#!/usr/bin/env python3
# -*- coding: utf-8 -*-

import subprocess
import logging

def run_command(command):
    subprocess.run(command)

def run_command_and_get_stdout(command):
    completed_process = subprocess.run(command, stdout=subprocess.PIPE, stderr=subprocess.PIPE, universal_newlines=True)
    return completed_process.stdout

def run_docker_stack_ls():
    stdout = run_command_and_get_stdout(["docker", "stack", "ls", "--format", "{{.Name}}"])
    stacks = stdout.splitlines()
    logging.info("{0} stacks running: {1}".format(len(stacks), ", ".join(stacks)))
    return stacks
